util-linux (2.41.3-3ubuntu2) resolute; urgency=medium

  * d/p/ubuntu/su-pty-drop-caps.patch: harden 'su --pty' to temporarily lower
    capabilities while proxying between stdin/stdout and the pty master. This
    is to avoid su from being used to exploit kernel vulnerabilities.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 13 Mar 2026 07:09:23 -0400

util-linux (2.41.3-3ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2142050). Remaining changes:
    - Add sulogin-fallback-static-sh.patch
      Add support for /bin/static-sh as fallback if the regular shell fails to
      execute. Patch ported from sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch
      Make sure file systems can be fixed on machines with locked root
      accounts (as Ubuntu does by default). Don't require --force for sulogin.
    - d/rules: disable libmount mountfs support
      Disable brand new feature with --disable-libmount-mountfd-support that
      causes inability to deploy MAAS LP #2037417.
  * Dropped changes applied upstream:
    - SECURITY UPDATE: heap overread with 256-byte usernames
      + debian/patches/CVE-2025-14104-1.patch: add length check in
        login-utils/setpwnam.c.
      + debian/patches/CVE-2025-14104-2.patch: update buflen in
        login-utils/setpwnam.c.
      + CVE-2025-14104
  * Dropped changes as they were no longer necessary:
    - d/p/ubuntu/lp-2030793-make-check-pidfd.patch
      This patch only effected kernel versions below 5.15 which are not
      available on resolute.
    - d/p/u/lp-2112552-tests-mark-mkfds-multiplexing-as-known-fail.patch
      The underlying bug was addressed in rust-coreutils.

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Sun, 15 Feb 2026 17:43:12 -0800

util-linux (2.41.3-3) unstable; urgency=medium

  * d/libsmartcols1.symbols: drop terminal crap
  * d/rules: make dpkg-gensymbols more strict
  * lintian: ignore groff-message tags
  * lintian: ignore groff-message tags in remaining packages
  * Add upstream patches
    * unshare: fix user namespace bind mounts
    * unshare: remove get_mnt_ino() check in bind_ns_files_from_child()
    * unshare: add --owner to set user namespace owner uid and gid
    * libfdisk: modernize ZFS GPT type description

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 31 Dec 2025 13:06:28 +0100

util-linux (2.41.3-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * util-linux: do not fail postinst/prerm if update-alternatives is missing

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 17 Dec 2025 10:42:28 +0100

util-linux (2.41.3-1) unstable; urgency=medium

  * Stop installing lastlog2-import.service
  * New upstream release, fixing CVE-2025-14104. (Closes: #1122058)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 16 Dec 2025 20:37:41 +0100

util-linux (2.41.2-4ubuntu3) resolute; urgency=medium

  * SECURITY UPDATE: heap overread with 256-byte usernames
    - debian/patches/CVE-2025-14104-1.patch: add length check in
      login-utils/setpwnam.c.
    - debian/patches/CVE-2025-14104-2.patch: update buflen in
      login-utils/setpwnam.c.
    - CVE-2025-14104

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 09 Jan 2026 10:49:15 -0500

util-linux (2.41.2-4ubuntu2) resolute; urgency=medium

  * No change rebuild to import current translations, launchpad was set
    to share translations with an outdated bzr import which and such no
    processing the upstream in source translations (lp: #2126846) 

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Dec 2025 09:43:25 +0100

util-linux (2.41.2-4ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2128814).
    Remaining changes:
    - Add sulogin-fallback-static-sh.patch
      Add support for /bin/static-sh as fallback if the regular shell fails to
      execute. Patch ported from sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch
      Make sure file systems can be fixed on machines with locked root
      accounts (as Ubuntu does by default). Don't require --force for sulogin.
    - d/p/ubuntu/lp-2030793-make-check-pidfd.patch
      Skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when run
      using the Focal kernel
    - d/rules: disable libmount mountfs support
      Disable brand new feature with --disable-libmount-mountfd-support that
      causes inability to deploy MAAS LP #2037417.
    - Fix FTBFS (LP #2112552)
      Mark a test as "known fail" due to coreutils-from-uutils. This test is
      skipped with coreutils-from-gnu anyway.
      - d/p/u/lp-2112552-tests-mark-mkfds-multiplexing-as-known-fail.patch

 -- Zachary Raines <zachary.raines@canonical.com>  Fri, 17 Oct 2025 11:39:58 -0500

util-linux (2.41.2-4) unstable; urgency=medium

  * Install pivot_root into util-linux-extra.
    Thanks to Antonio Ospite (Closes: #1117538)
  * Ensure /var/lib/lastlog exists for pam_lastlog2.
    Previously this was created by lastlog2-tmpfiles.conf, installed by the
    lastlog2 package. But lastlog2 itself is optional and not stricly
    necessary for libpam-lastlog2 to function. Install lastlog2-tmpfiles.conf
    into libpam-lastlog2, and also have dpkg create the directory.
    Thanks to Joachim Jautz (Closes: #1117725)
  * Break older dracut for moved switch_root

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 10 Oct 2025 12:24:08 +0200

util-linux (2.41.2-3) unstable; urgency=medium

  * Revive switch_root for dracut, in util-linux-extra (Closes: #1116629)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 29 Sep 2025 14:29:05 +0200

util-linux (2.41.2-2) unstable; urgency=medium

  * Reduce Installed-Size of util-linux:
    * Move lslogins from util-linux to util-linux-extra
    * Move rev from util-linux to bsdextrautils
    * Move blkzone, chcpu, chmem, lsmem from util-linux to util-linux-extra
    * Move isosize from util-linux to util-linux-extra
    * Move wdctl from util-linux to util-linux-extra
    * Move rename.ul from util-linux to util-linux-extra
    * Move ldattach from util-linux to util-linux-extra
    * Stop installing pivot_root, switch_root. Apparently unused on Debian.
  * util-linux-extra: Remove protectice diversions for usrmerge

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 25 Sep 2025 02:57:16 +0200

util-linux (2.41.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstream-applied patches.
  * Release to unstable.

  Includes from upstream:

  [ Sam Fink ]
  * libblkid: Fix probe_ioctl_tp assigning BLKGETDISKSEQ as physical sector size
  (Closes: #1115590)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 25 Sep 2025 00:08:38 +0200

util-linux (2.41.1-4) experimental; urgency=medium

  * d/copyright: remove (old) FSF address
  * fdisk-udeb: remove old lintian overrides
  * Ignore lintian warning about dh-exec-script-without-dh-exec-features
  * util-linux.README.Debian: fstrim is enabled by default (Closes: #1115239)
  * Install isosize into upstream-determined /usr/bin (Closes: #1025819)
  * Install chmem into upstream-determined /usr/bin
  * Install addpart,delpart into util-linux-extra (Closes: #1115193)
  * Fix enosys bash completion using upstream patches (Closes: #1108317)
  * Move newgrp, sg from login to util-linux-extra (Closes: #1111747)
  * Install ll2_rename_user.3 into util-linux-locales
  * Move logger to util-linux
  * Drop Essential: yes from bsdutils

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 15 Sep 2025 00:46:17 +0200

util-linux (2.41.1-3) unstable; urgency=medium

  [ Niels Thykier ]
  * Replace ad-hoc maintscripts substitution with `dh_installdeb` feature

  [ Thomas Weißschuh ]
  * Install lsclocks into util-linux-extra

  [ Chris Hofstaedtler ]
  * Install lsclocks bash completion and translated man pages

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 09 Sep 2025 11:09:50 +0200

util-linux (2.41.1-2) unstable; urgency=medium

  * Mark uuid_time64 symbol linux-only.
    Thanks to Samuel Thibault <sthibault@debian.org> (Closes: #1108994)
  * Install PAM configuration for login "remote" (Closes: #1103923)
  * Add patches from upstream

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 30 Aug 2025 22:21:32 +0200

util-linux (2.41.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstream signing-key for the time being
  * d/README.source: update tag fetch instructions for current git
  * Rebase patches
  * d/README.source: update for current repo layout
  * login: drop Protected: yes.
    Bug #1099445.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 12 Aug 2025 09:52:52 +0200

util-linux (2.41-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Mark uuid_time64 symbol as glibc-only (Closes: #1105006)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 10 May 2025 00:54:07 +0200

util-linux (2.41-4ubuntu4) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 15:37:59 +0000

util-linux (2.41-4ubuntu3) questing; urgency=medium

  * lib/path: avoid double free() for cpusets (LP: #2115636)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 02 Jul 2025 14:45:08 +0200

util-linux (2.41-4ubuntu2) questing; urgency=medium

  * Fix FTBFS (LP: #2112552)
    Mark a test as "known fail" due to coreutils-from-uutils. This test is
    skipped with coreutils-from-gnu anyway.
    - d/p/u/lp-2112552-tests-mark-mkfds-multiplexing-as-known-fail.patch

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Thu, 05 Jun 2025 12:19:26 +0200

util-linux (2.41-4ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2111830).
    Nothing of note in this merge, just a trivial patch refresh.
    Remaining changes:
    - Add sulogin-fallback-static-sh.patch
      Add support for /bin/static-sh as fallback if the regular shell fails to
      execute. Patch ported from sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch
      Make sure file systems can be fixed on machines with locked root
      accounts (as Ubuntu does by default). Don't require --force for sulogin.
    - d/p/ubuntu/lp-2030793-make-check-pidfd.patch
      Skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when run
      using the Focal kernel
    - d/rules: disable libmount mountfs support
      Disable brand new feature with --disable-libmount-mountfd-support that
      causes inability to deploy MAAS LP #2037417.

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Tue, 27 May 2025 17:24:32 +0200

util-linux (2.41-4) unstable; urgency=medium

  * Pick patches from upstream v2.41-stable branch.
    Includes fix for #1102499 (Kubernetes regression with mount
    --no-canonicalize), regression fixes for option parsing in findmnt,
    handling of :! in more, handling of strings in tr_TR locale.
    (Closes: #1102499)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 09 Apr 2025 23:08:54 +0200

util-linux (2.41-3) unstable; urgency=medium

  * Upload to unstable.
  * d/copyright: fix names of lsfd files.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 02 Apr 2025 19:31:10 +0200

util-linux (2.41-2) experimental; urgency=medium

  * Fix Conflicts/Replaces with manpages-pl
  * Install localized newgrp.1 into login

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 19 Mar 2025 23:55:38 +0100

util-linux (2.41-1) experimental; urgency=medium

  * New upstream release.
  * d/control: put myself directly into the Maintainer field
  * Refresh patches
  * Update list of installed localized manpages

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 18 Mar 2025 17:26:32 +0100

util-linux (2.41~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * d/copyright: lsfd has moved in the source
  * d/README.source: replace pbuilder with sbuild
  * Drop upstream-applied patches
  * Drop untranslated manpages

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 06 Mar 2025 13:30:32 +0100

util-linux (2.41~rc1-2) experimental; urgency=medium

  [ Samuel Thibault ]
  * Fix mq_open lib missing on hurd

  [ Chris Hofstaedtler ]
  * Force UTF-8 locale during build
  * Apply upstream patch to avoid agetty crash (Closes: #1098694)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 25 Feb 2025 13:19:39 +0100

util-linux (2.41~rc1-1) experimental; urgency=medium

  * New upstream release candidate, target experimental.
  * Rebase patches.
  * Bump uuid_time64 symbol to 2.40, for all archs.
  * Update dylib symbols.
  * Update liblastlog2-dev manual pages list.
  * Install coresched (into util-linux-extra).
  * Install bits (into util-linux-extra).
  * Install scols-filter(5) manpage.
  * Install uuidd-sysusers.conf, stop creating /var/lib/libuuid in packaging.
  * udebs: install static programs from debian/tmp.
  * Install rename bash-completion.
  * Update localised manual pages list.
  * Use d/not-installed to document not installed files.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 19 Feb 2025 07:16:05 +0100

util-linux (2.40.4-5) unstable; urgency=medium

  * Apply upstream patch to avoid agetty crash (Closes: #1098694)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 25 Feb 2025 11:34:50 +0100

util-linux (2.40.4-4) unstable; urgency=medium

  [ Jörg Behrmann ]
  * Install exch (Closes: #1095655)

  [ Chris Hofstaedtler ]
  * Set Multi-Arch: same for liblastlog2-dev
  * Mark "login" test as flaky
  * Install localized manpages for exch(1)
  * debian/tests: drop oversized-chunks
  * Skip fadvise/drop test in salsa ci
  * Move resizepart from util-linux to util-linux-extra

  [ Florent 'Skia' Jacquet ]
  * d/tests: fix login test in case things™ are slow

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 17 Feb 2025 14:21:56 +0100

util-linux (2.40.4-3) unstable; urgency=medium

  * Fix disabling colors, with patch from upstream (Closes: #1094283)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 05 Feb 2025 01:59:56 +0100

util-linux (2.40.4-2) unstable; urgency=medium

  * Apply upstream patch to forbid fallocate --posix with other options
    (Closes: #1092875)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 28 Jan 2025 00:36:44 +0100

util-linux (2.40.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstream-applied patch to fix Romanian fsck.minix.8 manpage build.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 14 Jan 2025 12:37:14 +0100

util-linux (2.40.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Add patch from upstream to fix build of Romanian fsck.minix.8 manpage.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 09 Jan 2025 14:13:24 +0100

util-linux (2.40.2-14ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2091862).
      Note: this is the first merge of this package made through git-ubuntu.
      That explains some changes of formatting in the changelog entries.
    Remaining changes:
    - Add sulogin-fallback-static-sh.patch
      Add support for /bin/static-sh as fallback if the regular shell fails to
      execute. Patch ported from sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch
      Make sure file systems can be fixed on machines with locked root
      accounts (as Ubuntu does by default). Don't require --force for sulogin.
    - d/p/ubuntu/lp-2030793-make-check-pidfd.patch
      Skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when run
      using the Focal kernel
    - d/rules: disable libmount mountfs support
      Disable brand new feature with --disable-libmount-mountfd-support that
      causes inability to deploy MAAS LP #2037417.
    Dropped changes:
    - d/p/ubuntu/lp2090972-libblkid-fix-spurious-[...].patch
      This is now in d/p/upstream-master/libblkid-fix-spurious-[...].patch

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Mon, 16 Dec 2024 13:12:37 +0100

util-linux (2.40.2-14) unstable; urgency=medium

  [ Florent 'Skia' Jacquet ]
  * d/tests: add 'login' test

  [ Chris Hofstaedtler ]
  * tests/login: explicitly depend on passwd for useradd

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 07 Jan 2025 15:12:09 +0100

util-linux (2.40.2-13) unstable; urgency=medium

  * Add patches from upstream master branch fixing various bugs,
    incl. fixes for cachestat on alpha.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 26 Dec 2024 13:52:42 +0100

util-linux (2.40.2-12) unstable; urgency=medium

  * Stop building utmpdump, should not be necessary on wtmpdb systems
  * Stop marking mkfds-socketpair test as failing
  * Skip tmpfs-sensitive tests if fstype cannot be determined
  * Amend NEWS entry to hint updating /root/.profile (Closes: #1088009)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 06 Dec 2024 13:35:11 +0100

util-linux (2.40.2-11) unstable; urgency=medium

  * tests: Temporarily mark fincore as failing in unshare
  * Stop installing mesg, write

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 13 Nov 2024 13:03:57 +0100

util-linux (2.40.2-10) unstable; urgency=medium

  * d/gbp.conf: set debian-branch to debian/unstable

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 02 Nov 2024 23:01:29 +0100

util-linux (2.40.2-9) unstable; urgency=medium

  [ Pino Toscano ]
  * Fix newgrp permissions only on Linux

  [ Chris Hofstaedtler ]
  * Add upstream patch to fix tv_usec formatting (Closes: #1083006)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 01 Oct 2024 20:13:03 +0200

util-linux (2.40.2-8) unstable; urgency=medium

  * Mark nologin, newgrp binaries and man pages linux-any
  * Install manpages using dh_install
  * Import patches from upstream master
    * newgrp: Optionally execute a program after group change
    * Treat out of memory as error
    * agetty: add "systemd" to --version output
    * lscpu: optimize query virt pci device
    * more: make sure we have data on stderr
    Thanks to Gábor Németh <homar@riseup.net> (Closes: #1078122)
  * Revert "Remove sg symlink to newgrp"
  * Install sg symlink only on Linux
  * Install write(1) manpage
  * salsa-ci: add nodoc profile

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 09 Sep 2024 23:20:25 +0200

util-linux (2.40.2-7) unstable; urgency=medium

  * login: update Section to admin (like in src:shadow)
    Thanks to Johannes Schauer Marin Rodrigues <josch@debian.org>
  * Stop installing getopt-example.tcsh.
    Per lintian tag csh-considered-harmful and policy section 10.4.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 14 Aug 2024 12:29:34 +0200

util-linux (2.40.2-6) unstable; urgency=medium

  * Remove sg symlink to newgrp.
    Our newgrp does not take a command to execute, so stop pretending
    it works like sg. At least for now, we will not have sg.
    Addresses #1078122.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 07 Aug 2024 18:35:53 +0200

util-linux (2.40.2-5) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Do not build login package for stage1 (Closes: #1078027)

  [ Sven Joachim ]
  * login: fix installing of /etc/pam.d/login (Closes: #1078036)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 06 Aug 2024 21:19:26 +0200

util-linux (2.40.2-4) unstable; urgency=medium

  * Upload to unstable.

  [ Chris Hofstaedtler ]
  * Bump Standards-Version to 4.7.0
  * Patch login to support our PAM setup

  [ Helmut Grohne ]
  * Drop lastlog2 and libpam-lastlog2 from stage1 build (Closes: #1077967)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 05 Aug 2024 17:20:49 +0200

util-linux (2.40.2-3) experimental; urgency=medium

  * Take over login package from src:shadow (Closes: #833256)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 05 Aug 2024 02:54:35 +0200

util-linux (2.40.2-2) unstable; urgency=medium

  [ Pino Toscano ]
  * d/lastlog2.install: install systemd files only on Linux.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 05 Aug 2024 00:31:55 +0200

util-linux (2.40.2-1ubuntu2) plucky; urgency=medium

  * Read the ext4 superblock with O_DIRECT if the first read produces a
    checksum failure. This fixes a race where the underlying superblock
    can be changed in memory but not on disk, resulting in checksum
    failures which in turn causes systemd-udevd to remove by-uuid and
    by-label symlinks. (LP: #2090972)
    - d/p/ubuntu/lp2090972-libblkid-fix-spurious-ext-superblock-checksum-mismat.patch

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Thu, 05 Dec 2024 13:02:57 +1300

util-linux (2.40.2-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2072813). Remaining changes:
    - Disable brand new feature with --disable-libmount-mountfd-support that
      causes inability to deploy MAAS LP #2037417
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - d/p/ubuntu/lp-2030793-make-check-pidfd.patch:
      skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when
      run using the Focal kernel
  * Drop Changes, included in Upstream:
    - debian/patches/upstream/CVE-2024-28085.patch: consolidate output on
      the terminal in term-utils/wall.c.
      [Fixed in 2.40-1]
  * Drop Changes, included in Debian:
    - debian/rules: build with --disable-use-tty-group to properly remove
      setgid bit from both wall and write.
      [Fixed in 2.39.3-11]
    - move more to /usr/bin
      [Fixed in 2.40.1-8.1]

 -- Chris Peterson <chris.peterson@canonical.com>  Fri, 09 Aug 2024 15:48:13 -0700

util-linux (2.40.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstream-applied patches.
  * Add upstream patches:
    Add binfmt_misc features to unshare(1).
    Avoid OOM-kill of swapoff(8).

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 06 Jul 2024 15:57:30 +0200

util-linux (2.40.1-9) unstable; urgency=medium

  * (Pre-)Depend on libpam-{modules,runtime}, so runuser/su work
    (Closes: #1074157)
  * Ack NMU 2.40.1-8.1 by Helmut Grohne. Many thanks!

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 24 Jun 2024 01:31:42 +0200

util-linux (2.40.1-8.1) unstable; urgency=medium

  * Non-maintainer upload acked by Chris Hofstaedtler.

  [ Chris Hofstaedtler ]
  * Move /bin/more into /usr/bin. Closes: MR!28

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 05 Jun 2024 17:23:00 +0200

util-linux (2.40.1-8) unstable; urgency=medium

  * libpam-lastlog2: fix incorrect removal of PAM config

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 03 Jun 2024 17:03:37 +0200

util-linux (2.40.1-7) unstable; urgency=medium

  * Upload to unstable.

  [ Samuel Thibault ]
  * Disable year2038 support on hurd-i386, fixes FTBFs (Closes: #1072472)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 02 Jun 2024 16:57:20 +0200

util-linux (2.40.1-6) experimental; urgency=medium

  * Convert lintian overrides for ftp-master very old lintian

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 31 May 2024 09:20:49 +0200

util-linux (2.40.1-5) experimental; urgency=medium

  * Target experimental.
  * Add new binary packages for lastlog2, pam_lastlog2 and liblastlog2.so
    (Addresses Bug: #1068017)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 30 May 2024 19:39:43 +0200

util-linux (2.40.1-4) unstable; urgency=medium

  * lintian: ignore missing misc:Depends, not needed with debputy
  * d/copyright: update
  * d/control: set Section: utils for Source: section

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 30 May 2024 19:14:16 +0200

util-linux (2.40.1-3) unstable; urgency=medium

  * Stop installing last(1), Suggest: wtmpdb instead

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 29 May 2024 23:58:19 +0200

util-linux (2.40.1-2) unstable; urgency=medium

  * Apply upstream patches: fix atime remount, fix smartcols reduction stages,
    clear uuidd cache on fork

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 26 May 2024 15:52:22 +0200

util-linux (2.40.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Homepage: field.
  * Drop upstream-applied patches.
  * Apply new patches from upstream. (Closes: #1062208)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 14 May 2024 12:53:27 +0200

util-linux (2.40-8) unstable; urgency=medium

  [ Helmut Grohne ]
  * Also cover ctrlaltdel in /usr-move mitigation (Closes: #1069923)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 27 Apr 2024 14:23:31 +0200

util-linux (2.40-7) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Import upstream stable/v2.40 up to a8aa0b5f154a44557f5bae5a4027bdbfe42b0323
    * lsns: fix netns use
    * libmount: fix comment typo for mnt_fs_get_comment()
    * libmount: Fix access check for utab in context
    * lsblk: simplify SOURCES code
    * findmnt: always zero-terminate SOURCES data
    * agetty: Don't override TERM passed by the user
    * libsmartcols: reset wrap after calculation
    * lslocks: remove a unused local variable
    * lslocks: don't abort gathering per-process information even if
      opening a /proc/[0-9]* fails
    * lsns: tolerate lsns_ioctl(fd, NS_GET_{PARENT,USERNS}) failing with ENOSYS
    * lsns: report with warnx if a namespace related ioctl fails with ENOSYS
    * Fix misplaced else in mnt_update_already_done
    * findmnt: revise the code for -I and -D option (Closes: #1069634)
    * libblkid: topology/ioctl: simplify ioctl handling
    * libblkid: topology/ioctl: correctly handle kernel types
    * pam_lastlog2: link against liblastlog
    * libblkid: Fix segfault when blkid.conf doesn't exist (Closes: #1069634)

  [ Helmut Grohne ]
  * Fix /usr-move mitigation (Closes: #1069064).
    Thanks!

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 26 Apr 2024 11:41:02 +0200

util-linux (2.40-6) unstable; urgency=medium

  * Add upstream patches fixing enosys on m68k, sh and dmesg -H output
    (Closes: #1068831, #1068691)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 15 Apr 2024 09:51:01 +0200

util-linux (2.40-5) unstable; urgency=medium

  * Release to unstable.
  * Apply upstream patch to skip lsfd test on kernels lacking features
  * d/rules: print deleted files
  * Install new enosys program (into util-linux-extra)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 08 Apr 2024 16:14:54 +0200

util-linux (2.40-4) experimental; urgency=medium

  * test: fix marking of fadvise/drop as known failed

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 03 Apr 2024 23:03:28 +0200

util-linux (2.40-3) experimental; urgency=medium

  * tests: mark fadvise/drop as known failing on buildds.
    Per discussion on #debian-buildd. The buildds have always used tmpfs as the
    build location, and with schroot this is visible to the util-linux tests.
    They in turn disable fadvise/drop, as it does not work on tmpfs.  With the
    unshare backend, the actual backing filesystem is hidden, so the test gets
    run and fails.
  * Remove build-time lsfd debugging

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 02 Apr 2024 21:58:11 +0200

util-linux (2.40-2) experimental; urgency=medium

  * Add upstream patch for lsfd sockdiag test
  * Build fdisk package even for stage1
    fdisk is a build dependency of systemd. Therefore it is useful to have it in
    the stage1 build, which is used to build systemd later on.
  * Improve recent util-linux(-extra) moves.
    Update Breaks/Replaces. Add protective diversions for usrmerged binaries.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 02 Apr 2024 14:03:51 +0200

util-linux (2.40-1) experimental; urgency=medium

  * New upstream release 2.40.
  * Drop upstream-applied patches
  * Revert "Debug test_mkfds failure on buildds"
  * Disable failing lsfd tests again, while upstream figures out
    how to detect unix_diag.ko being absent
  * Update libmount1.symbols
  * Update util-linux-locales manpage list

  [ Niels Thykier ]
  * debputy R³ support
  * d/control: Remove unused and seemingly invalid `Section: base`
  * d/control: Fix two typos in the description
  * d/control: Bump dh-sequence-zz-debputy-rrr dependency
    The automatic relationship substvars feature did not work prior to
    0.1.23.
  * Remove unnecessary relationship substvars, handled by debputy

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 29 Mar 2024 13:08:52 +0100

util-linux (2.40~rc2-8) experimental; urgency=medium

  * Merge from unstable.
  * Build-Depends: Replace pkg-config with pkgconf
  * Enable ELF metadata stamping
  * Debug test_mkfds failure on buildds

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 28 Mar 2024 13:29:30 +0100

util-linux (2.39.3-11) unstable; urgency=medium

  * Apply upstream patch fixing CVE-2024-28085
  * No longer install wall, write setgid tty

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 27 Mar 2024 16:28:22 +0100

util-linux (2.40~rc2-7) experimental; urgency=medium

  * Move ctrlaltdel, fsck.cramfs, fsck.minix, mkfs.bfs, mkfs.cramfs,
    mkfs.minix to util-linux-extra
  * Stop installing addpart, delpart, please use partx instead
  * Mark more programs as not-installed
  * uuid-runtime: install tmpfiles config

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 24 Mar 2024 20:53:44 +0100

util-linux (2.40~rc2-6) experimental; urgency=medium

  * Fix incomplete upstream patch for sockdiag_unix

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 21 Mar 2024 12:41:43 +0100

util-linux (2.40~rc2-5) experimental; urgency=medium

  * Add upstream patch to skip lsfd test if sockdiag_unix is unavailable
    https://github.com/util-linux/util-linux/issues/2822

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 21 Mar 2024 09:50:09 +0100

util-linux (2.40~rc2-4) experimental; urgency=medium

  * Reduce uuid-runtime Recommends to Suggests (Closes: #1065569)
  * Revert marking sockdiag test, add ss/sysctl debug

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 16 Mar 2024 00:19:22 +0100

util-linux (2.40~rc2-3) experimental; urgency=medium

  * Mark lsfd/mkfds-unix-stream-requiring-sockdiag as failing too

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 02 Mar 2024 20:03:39 +0100

util-linux (2.40~rc2-2) experimental; urgency=medium

  * Disable another lsfd test which is broken on the buildds.
  * Merge with unstable.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 02 Mar 2024 15:20:41 +0100

util-linux (2.39.3-10) unstable; urgency=medium

  * Tighten dependencies between programs and our own shlibs

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 04 Mar 2024 22:11:55 +0100

util-linux (2.39.3-9) unstable; urgency=medium

  * Provide libuuid1t64 on i386

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 02 Mar 2024 22:36:39 +0100

util-linux (2.39.3-8) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Break/Replace libuuid1t64 and provide it versioned (Closes: #1065242)
  * Update architecture list for Provides: libuuid1t64
  * d/gbp.conf: update debian-branch

  [ Johannes Schauer Marin Rodrigues ]
  * util-linux.postinst: avoid running uname in maintainer script for
    chrootless hurd support (Closes: #1063638)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 02 Mar 2024 13:45:06 +0100

util-linux (2.39.3-7) unstable; urgency=medium

  * Run wrap-and-sort -kas
  * Revert rename of libuuid1 to libuuid1t64
  * Apply upstream patches for dual-time_t-ABI

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 01 Mar 2024 11:20:22 +0100

util-linux (2.40~rc2-1) experimental; urgency=medium

  * New upstream version, target experimental.
  * Add new Build-Depends: flex
  * Do not build liblastlog2 for now
  * Disable newly failing lsfd test
  * Drop no-longer localized manpages

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 01 Mar 2024 00:02:17 +0100

util-linux (2.39.3-9ubuntu10) oracular-proposed; urgency=medium

  * LP: #2076340: No-change rebuild to pick up changed build flags on
    ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Aug 2024 14:55:58 +0200

util-linux (2.39.3-9ubuntu6) noble; urgency=medium

  * SECURITY UPDATE: Improper neutralization of escape sequences in wall
    - debian/rules: build with --disable-use-tty-group to properly remove
      setgid bit from both wall and write.
    - CVE-2024-28085

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 09 Apr 2024 10:02:37 -0400

util-linux (2.39.3-9ubuntu5) noble; urgency=high

  * No change rebuild against libreadline8t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:51:40 +0200

util-linux (2.39.3-9ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:31:15 +0000

util-linux (2.39.3-9ubuntu3) noble; urgency=medium

  * SECURITY UPDATE: Improper neutralization of escape sequences in wall
    - debian/patches/upstream/CVE-2024-28085.patch: consolidate output on
      the terminal in term-utils/wall.c.
    - debian/rules: remove setuid bit from wall as recommended by upstream
      as the above patch is insufficient.
    - CVE-2024-28085

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 28 Mar 2024 08:06:33 -0400

util-linux (2.39.3-9ubuntu2) noble; urgency=medium

  * No-change rebuild to allow bootstrapping for 64-bit time_t

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Mar 2024 09:55:06 +0000

util-linux (2.39.3-9ubuntu1) noble; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - d/p/ubuntu/lp-2030793-make-check-pidfd.patch:
      skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when
      run using the Focal kernel
    - Disable brand new feature with --disable-libmount-mountfd-support that
      causes inability to deploy MAAS LP #2037417
    - Move more to usr/bin.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Mar 2024 00:39:13 -0800

util-linux (2.39.3-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063039

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 21:32:09 +0000

util-linux (2.39.3-6ubuntu2) noble; urgency=medium

  * Move more to usr/bin again

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 14:21:54 +0100

util-linux (2.39.3-6ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - d/p/ubuntu/lp-2030793-make-check-pidfd.patch:
      skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when
      run using the Focal kernel
    - Disable brand new feature with --disable-libmount-mountfd-support that
      causes inability to deploy MAAS LP #2037417

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 13:48:19 +0100

util-linux (2.39.3-6) unstable; urgency=medium

  * Upload to unstable.

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 05 Jan 2024 15:25:05 +0100

util-linux (2.39.3-5) experimental; urgency=medium

  * Install /bin/more in the old location again, to avoid breaking bootstrap
    scenarios

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 04 Jan 2024 14:46:09 +0100

util-linux (2.39.3-4) experimental; urgency=medium

  * Install programs into /usr{/bin,/sbin}

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 04 Jan 2024 01:41:07 +0100

util-linux (2.39.3-3) unstable; urgency=medium

  * Add patch from upstream to fix build on alpha

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 04 Jan 2024 01:32:22 +0100

util-linux (2.39.3-2) unstable; urgency=medium

  [ Gioele Barabucci ]
  * Install manpages via dh_installman instead of dh_install
  * d/util-linux-locales.install: Do not install manpages when building with
    <nodoc>
  * d/control: Support <nodoc> build profile

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 05 Dec 2023 04:22:29 +0100

util-linux (2.39.3-1) unstable; urgency=medium

  * New upstream stable release
  * Rebase patches

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 04 Dec 2023 21:35:58 +0100

util-linux (2.39.2-6ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - d/p/ubuntu/lp-2030793-make-check-pidfd.patch:
      skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when
      run using the Focal kernel
    - Disable brand new feature with --disable-libmount-mountfd-support that
      causes inability to deploy MAAS LP #2037417
  * Dropped changes, included in Debian:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 20 Nov 2023 16:51:50 -0500

util-linux (2.39.2-6) unstable; urgency=medium

  [ Samuel Thibault ]
  * d/util-linux.manpages,util-linux-locales.install: Generalize hurd-i386 into
    hurd-any.

  [ Chris Hofstaedtler ]
  * Fix FTBFS on hurd-i386 using upstreamed patch.
    Thanks to Samuel Thibault <sthibault@debian.org> (Closes: #1055875)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 13 Nov 2023 12:48:34 +0100

util-linux (2.39.2-5) unstable; urgency=medium

  * Fix setterm --resize

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 30 Oct 2023 23:02:25 +0100

util-linux (2.39.2-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS with stage1 profile (Closes: #1054162)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 18 Oct 2023 15:36:05 +0200

util-linux (2.39.2-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * Drop asciidoctor build-dep in stage1 profile (Closes: #1053324)

  [ Chris Hofstaedtler ]
  * Remove hwclock initscript leftovers

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 15 Oct 2023 22:37:45 +0200

util-linux (2.39.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Release to unstable

 -- Mark Hindley <leepen@debian.org>  Mon, 09 Oct 2023 20:21:34 +0100

util-linux (2.39.2-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Drop hwclock machinery migrated to initscripts.

 -- Mark Hindley <leepen@debian.org>  Sun, 01 Oct 2023 14:54:02 +0100

util-linux (2.39.2-2) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Apply wrap-and-sort -kas

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir (Closes: #1052981)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 26 Sep 2023 17:39:54 +0200

util-linux (2.39.2-1) unstable; urgency=medium

  * New upstream version 2.39.2, fixing various libmount issues.
  * Refresh patches
  * Apply additional patches from upstream:
    * libmount: Fix regression when mounting with atime (Closes: #1042714)
    * setarch: add riscv64 support
    * cfdisk: fix menu behavior after writing changes (Closes: #927041)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 20 Aug 2023 22:14:58 +0200

util-linux (2.39.1-4ubuntu2) mantic; urgency=medium

  * Disable brand new feature with --disable-libmount-mountfd-support that
    causes inability to deploy MAAS LP: #2037417

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 05 Oct 2023 22:27:31 +0100

util-linux (2.39.1-4ubuntu1) mantic; urgency=medium

  * d/p/ubuntu/lp-2019856-add-missing-arm-cores.patch:
    Drop this patch, as it has been incorporated
  * skip tests lsfd/column-name-pidfd,lsfd/mkfds-pidfd that fail when run
    using the Focal kernel (LP: #2030793)
  * Merge from Debian unstable
    Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 11 Aug 2023 11:39:16 -0600

util-linux (2.39.1-4) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Update Breaks/Replaces manpages-l10n to << 4.19.0-7~ (Closes: #1042773)
  * Import upstream patches to fix fadvise tests

  [ John David Anglin ]
  * Fix build on hppa (Closes: #1042990)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 11 Aug 2023 18:52:26 +0200

util-linux (2.39.1-3ubuntu1) mantic; urgency=medium

  * d/p/ubuntu/lp-2019856-add-missing-arm-cores.patch:
    Drop this patch, as it has been incorporated
  * Merge from Debian unstable
    Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 07 Aug 2023 16:32:57 -0600

util-linux (2.39.1-3) unstable; urgency=medium

  * Release to unstable.
    * logger: initialize socket credentials control union (Closes: #1040710)
    * Install localized manpages, previously shipped by manpages-l10n
      (Closes: #1037040)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 24 Jul 2023 15:10:52 +0200

util-linux (2.39.1-2) experimental; urgency=medium

  * Install localized manpages
  * Stop hard-depending on util-linux-extra
  * Install new blkpr, fadvise, pipesz, waitpid utilities
  * Fix libmount1 symbols on non-linux
  * Build-Depend on libncurses-dev instead of old libncurses5-dev,
    libncursesw5-dev

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 21 Jul 2023 11:44:22 +0200

util-linux (2.39.1-1) experimental; urgency=medium

  * New upstream release. (Closes: #990243)
    * umount: properly handle special characters in completion
      (Closes: #1011401)
    * fdisk: fix --output option parsing (Closes: #1022249)
    * logger: initialize socket credentials contol union (Closes: #1040710)
    * wall: use fputs_careful() (Closes: #826596)
    * Use non-deprecated chown syntax (Closes: #1007139)
  * Drop upstream patches, refresh Debian-specific patches.
  * Fix fincore test.
  * Update debian/copyright.
  * Build-Depend on po4a, but do not install translated manpages just yet.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 18 Jul 2023 23:12:16 +0200

util-linux (2.38.1-6) unstable; urgency=medium

  * Skip some problematic code for stage1 builds
  * Add upstream patch to fix logger --id
  * Update lintian overrides

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 09 Jul 2023 22:21:57 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog util-linux-locales`.
